import "./tasks/bedtools.wdl" as bedtools

workflow {{ project_name }} {

	File inputSamplesFile
	File bed_file
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)

	scatter (sample in inputSamples) {

		call bedtools.bedtools as bedtools {
			input:
			bam=sample[0],
			bai=sample[1],
			bed_file=bed_file

		}
	}
}

